Skip to main content
PATCH
Update schema

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required

The unique identifier of the app associated with the schema.

objectType
string
required

The type of object whose schema is being updated.

Body

application/json
clearDescription
boolean
required

A boolean indicating whether the description should be cleared or reset.

allowsSensitiveProperties
boolean

A boolean that specifies if the object type allows properties marked as sensitive.

description
string

A string providing a description of the object type.

labels
object
primaryDisplayProperty
string

A string that identifies the primary property used for displaying the object.

requiredProperties
string[]

An array of strings indicating which properties are required for the object type.

restorable
boolean

A boolean indicating whether the object type can be restored after deletion.

searchableProperties
string[]

An array of strings specifying which properties can be used in search queries.

secondaryDisplayProperties
string[]

An array of strings that list additional properties used for displaying the object.

Response

successful operation

allowsSensitiveProperties
boolean
required

A boolean indicating whether the object type allows sensitive properties.

archived
boolean
required

A boolean indicating whether the object type is archived.

fullyQualifiedName
string
required

A string representing the fully qualified name of the object type.

id
string
required

A string representing the unique identifier for the object type.

labels
object
required
name
string
required

A string representing the name of the object type.

objectTypeId
string
required

A string representing the unique identifier for the object type within the system.

requiredProperties
string[]
required

An array of strings representing the properties that are required for this object type.

searchableProperties
string[]
required

An array of strings indicating which properties can be used in search operations.

secondaryDisplayProperties
string[]
required

An array of strings representing additional properties used for displaying this object type.

createdAt
string<date-time>

A string representing the date and time when the object type was created, in ISO 8601 format.

description
string

A string providing a description of the object type.

portalId
integer<int32>

An integer representing the portal ID associated with the object type.

primaryDisplayProperty
string

A string representing the primary property used for displaying this object type.

updatedAt
string<date-time>

A string representing the date and time when the object type was last updated, in ISO 8601 format.

Last modified on September 9, 2026